%define upstream_name	 Kwiki-Image
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:	Kwiki Image Plugin
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Kwiki/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(Kwiki)
BuildArch:	noarch


%description
This plugin provides more comprehensive support for images in Kwiki.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendorlib}/Kwiki

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-7.mga6
+ Revision: 1029018
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.10.0-6.mga6
+ Revision: 932587
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-5.mga5
+ Revision: 747622
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 685170
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-3.mga4
+ Revision: 512482
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 368906
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 37507
- mageia rebuild
- imported package perl-Kwiki-Image


* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.10.0-1mdv2010.0
+ Revision: 409302
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.01-5mdv2009.0
+ Revision: 257450
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.01-4mdv2009.0
+ Revision: 245419
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.01-2mdv2008.1
+ Revision: 122818
- kill re-definition of %%buildroot on Pixel's request


* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.01-2mdk
- Fix According to perl Policy
	- BuildRequires
	- Source URL
- use mkrel

* Mon Apr 17 2006 Olivier Blin <oblin@mandriva.com> 0.01-1mdk
- initial Mandriva release

